summaryrefslogtreecommitdiffstats
path: root/man/x-to-1.in
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2001-08-15 12:27:39 +0000
committerBruno Haible <bruno@clisp.org>2001-08-15 12:27:39 +0000
commit9b8a9ac3d575ecbe8f7cf528879cf47265cf59df (patch)
tree6898ee15d7543248e02e86fc6bb78317c7ef453a /man/x-to-1.in
parent46de0941dcd108cb7e3afb6741066103343f2e9b (diff)
downloadexternal_gettext-9b8a9ac3d575ecbe8f7cf528879cf47265cf59df.zip
external_gettext-9b8a9ac3d575ecbe8f7cf528879cf47265cf59df.tar.gz
external_gettext-9b8a9ac3d575ecbe8f7cf528879cf47265cf59df.tar.bz2
Reflect the real localedir in the manpages, not the default localedir.
Diffstat (limited to 'man/x-to-1.in')
-rw-r--r--man/x-to-1.in43
1 files changed, 43 insertions, 0 deletions
diff --git a/man/x-to-1.in b/man/x-to-1.in
new file mode 100644
index 0000000..c26843b
--- /dev/null
+++ b/man/x-to-1.in
@@ -0,0 +1,43 @@
+#! /bin/sh
+#
+# Copyright (C) 2001 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+
+# This program creates a program's manual from the .x skeleton and its --help
+# output.
+
+if test $# != 5; then
+ echo "Usage: x-to-1 PERL HELP2MAN executable program.x program.1" 1>&2
+ exit 1
+fi
+PERL="$1"
+HELP2MAN="$2"
+executable="$3"
+aux="$4"
+output="$5"
+
+progname=`basename $aux .x`
+case "$PERL" in *"/missing perl") perlok=no;; *) perlok=yes;; esac
+if test @CROSS_COMPILING@ = no && test -f $executable && test $perlok = yes; then
+ echo "Updating man page $output"
+ echo "$HELP2MAN --include=$aux $executable > $output"
+ rm -f t-$progname.1
+ $HELP2MAN --include=$aux $executable > t-$progname.1 || exit 1
+ mv t-$progname.1 $output
+else
+ echo "WARNING: The man page $output cannot be updated yet."
+fi